OTBCLI_CONNECTEDCOMPONENTSEGMENTATION(1)

NAME
otbcli_ConnectedComponentSegmentation - OTB ConnectedComponentSegmentation application

DESCRIPTION
This is the ConnectedComponentSegmentation application, version 5.2.0 Connected component segmentation and object based image filtering of the input image according to user-defined criterions.

Complete documentation: http://www.orfeo-toolbox.org/Applications/ConnectedComponentSegmentation.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> Output Shape (mandatory)

-mask
    <string> Mask expression (optional, off by default)

 -expr <string> Connected Component Expression (mandatory)

-minsize
    <int32> Minimum Object Size (optional, on by default, default value is 2)

-obia
    <string> OBIA Expression (optional, off by default)

-elev.dem
    <string> DEM directory (optional, off by default)

-elev.geoid
    <string> Geoid File (optional, off by default)

-elev.default <float>
    Default elevation (mandatory, default value is 0)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_ConnectedComponentSegmentation -in ROI_QB_MUL_4.tif -mask "((b1>80)*intensity>95)" -expr "distance<10" -minsize 15 -obia "SHAPE_Elongation>8" -out ConnectedComponentSegmentation.shp

SEE ALSO
The full documentation for otbcli_ConnectedComponentSegmentation is maintained as a Texinfo manual. If the info and otbcli_ConnectedComponentSegmentation programs are properly installed at your site, the command

    info otbcli_ConnectedComponentSegmentation

should give you access to the complete manual.